button {
    all: unset;
}

.button {
    display: inline-block;
    /* width: 110px; */
    padding: 15px;
    border-radius: 10rem;
    color: #222;
    font-size: 15px;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.5);
    border: 1px solid #999;
    z-index: 1;
}

.button::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10rem;
    z-index: -2;
}

.button::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #008f14;
    transition: all .3s;
    border-radius: 10rem;
    z-index: -1;
}

.button:hover {
    border: 1px solid #fff;
    color: #fff;
}

.button:hover::before {
    width: 100%;
}

@media(max-width: 768px) {
    .button {
        font-size:13px;
    }
}



/*bus_btn*/

.bus_btn {
    position: relative;
    width: 55px;
    height: 55px;
    border-radius: 10rem;
    border: 1px solid #fff;
    transition: all .3s;
    cursor: pointer;
}

.bus_btn::before {
    content: '→';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.bus_btn:hover {
    background-color: #008f14;
    transition: all .3s;
}

/*pro_btn*/
.pro_btn {
    position: relative;
    display: inline-block;
    width: 150px;
    padding: 0 30px 0 20px;
    height: 50px;
    line-height: 50px;
    border-radius: 10rem;
    color: #222;
    font-size: 13px;
    font-weight: 500;
    transition: all .3s;
    overflow: hidden;
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.7);
    border: 1px solid #999;
    z-index: 1;
}

.pro_btn::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10rem;
    z-index: -2;
}

.pro_btn::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #008f14;
    transition: all .3s;
    border-radius: 10rem;
    z-index: -1;
}

.pro_btn:hover {
    border: 1px solid #fff;
    color: #fff;
}

.pro_btn:hover::before {
    width: 100%;
}

.pro_btn>span {
    position: absolute;
    right: 20px;
}



/*sub_btn*/
.sub_btn {
    display: inline-block;
    width: 110px;
    padding: 15px;
    border-radius: 10rem;
    color: #222;
    font-size: 1rem;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    /* background-color: #fff; */
    border: 2px solid #222;
    z-index: 1;
}

.sub_btn::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #1567b4;
    transition: all .3s;
    border-radius: 10rem;
    z-index: -1;
}

.sub_btn:hover {
    background-color: #1567b4;
    border: 2px solid #1567b4;
    color: #fff;
}

.sub_btn:hover::before {
    width: 100%;
}


/*catalog_btn*/
.catalog_btn {
    display: inline-block;
    padding: 10px;
    border-radius: 10rem;
    color: #222;
    font-size: 1rem;
    text-align: center;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    /* background-color: #fff; */
    border: 2px solid #222;
    z-index: 1;
}

.catalog_btn::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #1567b4;
    transition: all .3s;
    border-radius: 10rem;
    z-index: -1;
}

.catalog_btn:hover {
    background-color: #1567b4;
    border: 2px solid #1567b4;
    color: #fff;
}

.catalog_btn:hover::before {
    width: 100%;
}


/*com1_btn*/
.com1_btn {
    display: inline-block;
    width: 165px;
    padding: 15px;
    border-radius: 10rem;
    color: #fff;
    font-size: 1rem;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    /* background-color: #fff; */
    border: 2px solid #fff;
    z-index: 1;
}

.com1_btn::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #1567b4;
    transition: all .3s;
    border-radius: 10rem;
    z-index: -1;
}

.com1_btn:hover {
    background-color: #1567b4;
    border: 2px solid #1567b4;
    color: #fff;
}

.com1_btn:hover::before {
    width: 100%;
}



/*download_btn*/
.download_btn {
    display: inline-block;
    padding: 15px;
    border-radius: 10rem;
    color: #222;
    font-size: 1rem;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    border: 2px solid #222;
    z-index: 1;
}

.download_btn::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #1567b4;
    transition: all .3s;
    border-radius: 10rem;
    z-index: -1;
}

.download_btn:hover {
    background-color: #1567b4;
    border: 2px solid #1567b4;
    color: #fff;
}

.download_btn:hover::before {
    width: 100%;
}